Method: interactions.getStream

Full name: interactions.getStream

Fully typed proto, streaming version of interactions.getPoll that returns Interaction proto.

Endpoint

get https://{service-endpoint}/v1beta1/{name}:stream

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The name of the interaction to retrieve. Format: interactions/{interaction}

Query parameters

stream boolean

Optional. If true, streams the interaction events as Server-Sent events.

lastEventId string

Optional. If set, resumes the interaction stream from the chunk after the event marked by the event id. Can only be used if stream is true.

includeInput
(deprecated)
boolean

Optional. If true, includes the input in the response.

Request body

The request body must be empty.

Response body

If successful, the response body contains a stream of InteractionStreamingEvent instances.